org.apache.lucene.analysis.sv

## Class SwedishLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.sv.SwedishLightStemmer

-     public class SwedishLightStemmer
      extends Object

  Light Stemmer for Swedish.

  This stemmer implements the algorithm described in: Report on CLEF-2003 Monolingual Tracks Jacques Savoy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwedishLightStemmer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `stem(char[] s, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwedishLightStemmer

          public SwedishLightStemmer()

  - ### Method Detail

    - #### stem

          public int stem(char[] s,
                          int len)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.